Package com.sun.jna.platform.mac

## Class SystemB.Statfs

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.Statfs

Enclosing interface:
  SystemB

    @FieldOrder({"f_bsize","f_iosize","f_blocks","f_bfree","f_bavail","f_files","f_ffree","f_fsid","f_owner","f_type","f_flags","f_fssubtype","f_fstypename","f_mntonname","f_mntfromname","f_reserved"})
    public static class SystemB.Statfs
    extends Structure

The statfs() routine returns information about a mounted file system. The path argument is the path name of any file or directory within the mounted file system. The buf argument is a pointer to a statfs structure.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `f_bavail`
`long` `f_bfree`
`long` `f_blocks`
`int` `f_bsize`
`long` `f_ffree`
`long` `f_files`
`int` `f_flags`
`int[]` `f_fsid`
`int` `f_fssubtype`
`byte[]` `f_fstypename`
`int` `f_iosize`
`byte[]` `f_mntfromname`
`byte[]` `f_mntonname`
`int` `f_owner`
`int[]` `f_reserved`
`int` `f_type`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`Statfs()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### f_bsize

    public int f_bsize

#### f_iosize

    public int f_iosize

#### f_blocks

    public long f_blocks

#### f_bfree

    public long f_bfree

#### f_bavail

    public long f_bavail

#### f_files

    public long f_files

#### f_ffree

    public long f_ffree

#### f_fsid

    public int[] f_fsid

#### f_owner

    public int f_owner

#### f_type

    public int f_type

#### f_flags

    public int f_flags

#### f_fssubtype

    public int f_fssubtype

#### f_fstypename

    public byte[] f_fstypename

#### f_mntonname

    public byte[] f_mntonname

#### f_mntfromname

    public byte[] f_mntfromname

#### f_reserved

    public int[] f_reserved

### Constructor Detail

#### Statfs

    public Statfs()